For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get KYT Results

Before making any API requests, please refer to the Getting Started section on the zkMe API page to obtain the necessary API access parameters.

Get API Status

POST https://agw.zk.me/zkseradmin/openapi/kyt/status

Request Body

  {
    "apiKey": "YourApiKey",
    "mchNo": "YourMchNo"
  }

Fields Explanation

Name
Type
Description

apiKey

string

Your API key

mchNo

string

Same as AppID in the Dashboard

Sample Response

{
  "code": 200,
  "message": "success",
  "data": {
    "support_api": [
      "status",
      "address_labels",
      "address_overview",
      "risk_score",
      "transactions_investigation",
    ],
    "support_coin": [
      "ETH", 
      "USDT-ERC20", 
      "USDC-ERC20", 
      "USDT-TRC20", 
      "WETH-ERC20", 
      "BNB-ERC20", 
      "UNI-ERC20", 
      "BUSD-ERC20", 
      "DAI-ERC20", 
      "GRT-ERC20", 
      "ENS-ERC20", 
      "UST-ERC20", 
      "BNB", 
      "renBTC-ERC20", 
      "WBTC-ERC20", 
      "TUSD-ERC20", 
      "SHIB-ERC20", 
      "LINK-ERC20", 
      "BAT-ERC20", 
      "CRO-ERC20", 
      "SUSHI-ERC20", 
      "stETH-ERC20", 
      "CRV-ERC20", 
      "CVX-ERC20", 
      "cvxCRV-ERC20", 
      "3Crv-ERC20", 
      "LOOKS-ERC20", 
      "USDC-TRC20",
      "IOTX-ERC20",
      "IOTX",
      "BUSD-BEP20", 
      "USDT-BEP20", 
      "WBNB-BEP20", 
      "ETH-BEP20", 
      "BTCB-BEP20",
      "DOGE-BEP20", 
      "USDC-BEP20", 
      "SHIB-BEP20", 
      "UST-BEP20",
      "MATIC-Polygon", 
      "WMATIC-Polygon", 
      "WETH-Polygon", 
      "USDC-Polygon", 
      "USDT-Polygon", 
      "DAI-Polygon",
      "WBTC-Polygon",
      "AAVE-Polygon", 
      "LINK-Polygon", 
      "UNI-Polygon", 
      "UST-Polygon", 
      "SUSHI-Polygon",
      "AVAX-Avalanche",
      "WAVAX-Avalanche",
      "BTC.b-Avalanche",
      "USDT-Avalanche",
      "USDT.e-Avalanche",
      "USDC-Avalanche",
      "USDC.e-Avalanche",
      "WETH.e-Avalanche",
      "DAI.e-Avalanche",
      "WBTC.e-Avalanche",
      "ETH-Arbitrum",
      "USDT-Arbitrum",
      "USDC-Arbitrum",
      "USDC.e-Arbitrum",
      "WETH-Arbitrum",
      "DAI-Arbitrum",
      "WBTC-Arbitrum",
      "LINK-Arbitrum",
      "GMX-Arbitrum",
      "sbfGMX-Arbitrum",
      "STG-Arbitrum",
      "MAGIC-Arbitrum",
      "BTC",
      "Cake-BEP20",
      "DAI-BEP20",
      "APE-ERC20",
      "ETH-Optimism",
      "USDT-Optimism",
      "USDC-Optimism",
      "OP-Optimism",
      "DAI-Optimism",
      "WBTC-Optimism",
      "WETH-Optimism",
      "SNX-Optimism",
      "sUSD-Optimism",
      "VELO-Optimism",
      "PYUSD-ERC20",
      "ETH-Base",
      "TRX",
      "MEME-ERC20",
      "ETH-zkSync",
      "USDC.e-Polygon",
      "BTC-Merlin",
      "BCH-BEP20",
      "USDC-Base",
      "USDbC-Base",
      "WETH-Base",
      "DEGEN-Base",
      "DAI-Base",
      "cbETH-Base"
      "ZK-zkSync",
      "WLD-Optimism",
      "TON",
      "ZK-zkSync",
      "WLD-Optimism",
      "USDT-TON",
      "SOL",
      "USDT-Solana",
      "USDC-Solana",
      "LTC",
      "DOGE",
      "BCH",
      "Bonk-Solana",
      "JUP-Solana",
      "RAY-Solana",
      "PYTH-Solana",
      "W-Solana"
    ]
  }
}

Get Address Labels

Returns a list of labels for a given address.

POST https://agw.zk.me/zkseradmin/openapi/kyt/address/labels

Request Body

  {
    "apiKey": "YourApiKey",
    "mchNo": "YourMchNo",
    "coin": "ETH",
    "address": "{address}"
  }

Fields Explanation

Name
Type
Description

apiKey

string

Your API key

mchNo

string

Same as AppID in the Dashboard

coin

string

The coin to check for address labels, all optional values can be found here

address

string

The address to check for address labels

Sample response

{
  "code": 200,
  "message": "success",
  "data": {
    "label_list": ["Binance", "hot"],
    "label_type": "exchange"
  }
}

Get Address Actions

Returns the transaction action analysis results for a given address.

POST https://agw.zk.me/zkseradmin/openapi/kyt/v1/address/actions

Request Body

  {
    "apiKey": "YourApiKey",
    "mchNo": "YourMchNo",
    "coin": "ETH",
    "address": "{address}"
  }

Fields Explanation

Name
Type
Description

apiKey

string

Your API key

mchNo

string

Same as AppID in the Dashboard

coin

string

The coin to check for address overview, all optional values can be found here

address

string

The address to check for overview datas

Sample response

{
  "code": 200,
  "message": "success",
  "data": {
    "received_txs": [
      {
        "action": "DEX",
        "count": 7,
        "proportion": 70
      },
      {
        "action": "Mixer",
        "count": 1,
        "proportion": 10
      },
      {
        "action": "Exchange",
        "count": 1,
        "proportion": 10
      },
      {
        "action": "Swap",
        "count": 1,
        "proportion": 10
      }
    ],
    "spent_txs": [
      {
        "action": "Exchange",
        "count": 15,
        "proportion": 57.69
      },
      {
        "action": "DEX",
        "count": 2,
        "proportion": 7.69
      },
      {
        "action": "Transfer",
        "count": 9,
        "proportion": 34.62
      }
    ]
  }
}

Fields

Name
Type
Description

received_txs

list

The analysis result of the incoming transaction of the target address.

spent_txs

list

The analysis result of the outgoing transaction of the target address.

The API response data is suitable for display in a pie chart, as shown in the following figure.

Get Address Counterparty

Returns the counterparty analysis results for a given address.

POST https://agw.zk.me/zkseradmin/openapi/kyt/address/counterparty

Request Body

  {
    "apiKey": "YourApiKey",
    "mchNo": "YourMchNo",
    "coin": "ETH",
    "address": "{address}"
  }

Fields Explanation

Name
Type
Description

apiKey

string

Your API key

mchNo

string

Same as AppID in the Dashboard

coin

string

The coin to check for address overview, all optional values can be found here

address

string

The address to check for overview datas

Sample Response

{
  "code": 200,
  "message": "success",
  "data": [
    {
      "amount": 4150484.508,
      "name": "Uniswap",
      "percent": 49.7
    },
    {
      "amount": 2168062.159,
      "name": "Multichain",
      "percent": 25.961
    },
    {
      "amount": 2024879.354,
      "name": "Tornado.Cash",
      "percent": 24.247
    },
    {
      "amount": 4541.034,
      "name": "Unknown",
      "percent": 0.054
    },
    {
      "amount": 1923.578,
      "name": "SushiSwap",
      "percent": 0.023
    },
    {
      "amount": 972.055,
      "name": "sideshift.ai",
      "percent": 0.012
    },
    {
      "amount": 244.696,
      "name": "Binance",
      "percent": 0.003
    }
  ]
}

The API response data is suitable for display in a pie chart, as shown in the following figure.

Get Address Overview

Returns the balance and statistics for a given address.

Request Body

Fields Explanation

Name
Type
Description

apiKey

string

Your API key

mchNo

string

Same as AppID in the Dashboard

coin

string

The coin to check for address overview, all optional values can be found here

address

string

The address to check for overview datas

Sample response

Fields

Name
Type
Description

balance

float(4)

The balance of the query address

txs_count

int

Total number of transactions of the query address

first_seen

int

The first transaction time of the query address, in unix timestamp format

last_seen

int

The last transaction time of the query address, in unix timestamp format

total_received

float(4)

The total received amount of the query address

total_spent

float(4)

The total spent amount of the query address

received_txs_count

int

Total number of incoming transactions of the query address

spent_txs_count

int

Total number of outgoing transactions of the query address

Get Address Profile

This API endpoint allows users to easily track which platforms an address has interacted with, such as exchanges, mixers, DeFi protocols, and NFT platforms. It also identifies any associated malicious events and provides additional information about the address, including used wallets, ENS names, and linked Twitter profiles.

Request Body

Fields Explanation

Name
Type
Description

apiKey

string

Your API key

mchNo

string

Same as AppID in the Dashboard

coin

string

The coin to check for address overview, all optional values can be found here

address

string

The address to check for overview datas

Sample response

Fields

Name
Type
Description

first_address

string

The source wallet address of the gas fee, or the label of the source address.

use_platform

dict

Includes four fields: exchange, dex, mixer, nft.

malicious_event

dict

Includes three fields: phishing, ransom, stealing, laundering.

relation_info

dict

Includes three fields: wallet, ens, twitter.

Get Risk Score

Returns the risk score, risk detail list for a given address or transaction hash.

Request Body

Fields Explanation

Name
Type
Description

apiKey

string

Your API key

mchNo

string

Same as AppID in the Dashboard

coin

string

The coin to check for risk score, all optional values can be found here

address

string

The address to check for risk score, one of address and txid must be passed.

txid

string

The address to check for risk score, one of address and txid must be passed. If you are unsure of its value, please ignore it directly and do not pass any non-existent or fictional values.

Sample response

Fields

Name
Type
Description

score

int

Risk Score for the query address, range: 3 ~ 100

hacking_event

string

Related security event/incident name for the query address

detail_list

string[]

Risk description for the query address

risk_level

string

risk_detail

object[]

Data for the risk score calculation process

Risk Descriptions for detail_list

Risk Item
Risk Item

Malicious Address

Address directly involved in malicious events, Example: DeFi protocol exploiters, centralized exchange hackers, sanctioned addresses, etc.

Suspected Malicious Address

Address associated with malicious events

High-risk Tag Address

High-risk entity address, Example: Mixers, some nested exchanges, etc.

Medium-risk Tag Address

High-risk entity address, Example: Mixers, some nested exchanges, etc.

Mixer

Mixer entity address, Example: Tornado Cash, etc.

Risk Exchange

Exchanges that do not require KYC

Gambling

Gambling entity address

Involved Theft Activity

Address involved in theft events

Involved Ransom Activity

Address involved in ransom events

Involved Phishing Activity

Address involved in phishing events

Interact With Malicious Address

Interactions with malicious address

Interact With Suspected Malicious Address

Interactions with suspected malicious address

Interact With High-risk Tag Address

Interactions with high-risk address

Interact With Medium-risk Tag Addresses

Interactions with medium-risk address

Risk Level Guide

Risk Level
Risk Score
Suggested Operations

Severe

91 ~ 100

Prohit withdrawals & trade, and report address immediately

High

71 ~ 90

Maintain high level surveillance, and analyze via zkMe OpenAPI to conduct transaction analysis

Moderate

31 ~ 70

Moderate supervision required

Low

0 ~ 30

Minimal supervision required

Get Transactions Investigation

Request Body

Fields Explanation

Name
Type
Description

apiKey

string

Your API key

mchNo

string

Same as AppID in the Dashboard

coin

string

The coin to check for transaction investigation, all optional values can be found here

address

string

The address to check for transaction investigation

start_timestamp

int

The start timestamp to check for transaction investigation (optional, default is 0)

end_timestamp

int

The end timestamp to check for transaction investigation (optional, default is current timestamp)

type

string

The type to check for transaction investigation (optional value “in”, “out” and “all”, default is “all”)

page

int

Page number (optional, default is 1)

Sample Response

Response Data Parameters

Name
Type
Description

in

list

The transfer-in transaction list of the querying address

out

list

The transfer-out transaction list of the querying address

page

int

The current page number

total_pages

int

The total page number

transactions_on_page

int

The number of transactions investigated on the current page (maximum is 1000)

Response Data Unit Parameters

Name
Type
Description

address

string

The transfer-in transaction list of the querying address

amount

float(4)

total transfer amount

label

string

Address label detail

tx_hash_list

list

Transfer transaction hash list

type

int

1: EOA address / bitcoin address; 2: malicious address; 3: entity label address; 4: contract address

Last updated